; AdvanceLcd
; Copyright  Christian Klaussner
; 
; Pixmaps.bb

Include "advlcd.bb"

; Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

; Create the applet.
Global applet = LcdCreateApplet("Example - Pixmaps", LCD_DEVICE_COLOR, False, False)

; Load a pixmap and create a render target.
Global pixmap = LcdLoadPixmap("..\Media\devil.png")
Global target = LcdCreatePixmap(320, 240, LCD_DEVICE_COLOR)

; Select the new pixmap as target and draw the loaded pixmap.
LcdSetTarget applet, target
	
LcdClear applet, $DEDEDE
LcdDrawPixmap applet, pixmap, 160-LcdPixmapWidth(pixmap)/2, 120-LcdPixmapHeight(pixmap)/2, 0

; Display the render target pixmap.
Global x

While True
	LcdWaitActivation applet
	
	x = x + 1
	
	LcdSetTarget applet, 0
	LcdClear applet, 0
	LcdDrawPixmap applet, target, Sin(x)*50, Cos(x)*50, 0
	
	LcdUpdate applet, False
	Delay 20
Wend