; AdvanceLcd
; Copyright  Christian Klaussner
; 
; Shapes.bb

Include "advlcd.bb"

; Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

; Create the applet.
Global applet = LcdCreateApplet("Example - Shapes", LCD_DEVICE_COLOR, False, False)

; Display shapes using rotation and anti-aliasing.
Global timer = MilliSecs(), enable

While True
	LcdWaitActivation applet
	
	LcdClear applet, $DEDEDE
	
	; Change anti-aliasing mode every second.
	If timer + 1000 < MilliSecs()
		timer = MilliSecs()
		enable = 1 - enable
	End If
	
	LcdEnableAntiAlias applet, enable
	
	; Draw a rotated rectangle.
	LcdSetRotation applet, 30, 80, 60
	LcdSetColor applet, $FF0000
	LcdDrawRect applet, 80, 60, 120, 100, True
	
	; Draw the outline of a circle.
	LcdSetRotation applet, 0, 0, 0
	LcdSetColor applet, $0000FF
	LcdSetLineWidth applet, 9
	LcdDrawOval applet, 200, 30, 80, 80, False
	
	; Draw a line.
	LcdSetColor applet, $00FF00
	LcdDrawLine applet, 20, 220, 300, 20
	
	LcdUpdate applet, False
	Delay 20
Wend