' AdvanceLcd
' Copyright  Christian Klaussner
' 
' Fonts.bmx

Strict

Framework brl.standardio
Import chris.advancelcd

' Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

' Create the applet.
Global applet:TLcdApplet = New TLcdApplet.Init("Example - Fonts", LCD_DEVICE_COLOR, False, False)

' Load two fonts.
Global font1:TLcdFont = New TLcdFont.Init("Arial", 60, LCD_FONT_BOLD | LCD_FONT_UNDERLINE)
Global font2:TLcdFont = New TLcdFont.Init("Kaileen", 60, LCD_FONT_DEFAULT, "..\Media\kaileen.ttf")

' Display text using both font objects.
While True
	applet.WaitActivation
	
	applet.Clear $DEDEDE
	applet.SetColor 0
	
	applet.SetFont font1
	applet.DrawText "Arial", 40, 20
	
	applet.SetFont font2
	applet.DrawText "Kaileen", 40, 100
		
	applet.Update
	Delay 20
Wend
