' AdvanceLcd
' Copyright  Christian Klaussner
' 
' Pixmaps.bmx

Strict

Framework brl.standardio
Import chris.advancelcd
Import brl.math

' Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

' Create the applet.
Global applet:TLcdApplet = New TLcdApplet.Init("Example - Pixmaps", LCD_DEVICE_COLOR, False, False)

' Load a pixmap and create a render target.
Global pixmap:TLcdPixmap = New TLcdPixmap.FromFile("..\Media\devil.png")
Global target:TLcdPixmap = New TLcdPixmap.Init(320, 240, LCD_DEVICE_COLOR)

' Select the new pixmap as target and draw the loaded pixmap.
applet.SetTarget target
	
applet.Clear $DEDEDE
applet.DrawPixmap pixmap, 160-pixmap.Width()/2, 120-pixmap.Height()/2

' Display the render target pixmap.
Global x

While True
	applet.WaitActivation
	
	x = x + 1
	
	applet.SetTarget Null
	applet.Clear 0
	applet.DrawPixmap target, Sin(x)*50, Cos(x)*50
	
	applet.Update
	Delay 20
Wend
