; AdvanceLcd
; Copyright  Christian Klaussner
; 
; advlcd.bb

Const LCD_OK						= 0
Const LCD_ERROR						= 1
Const LCD_ERROR_NOT_INITIALIZED		= 2
Const LCD_ERROR_INVALID_PARAMETER	= 3
Const LCD_ERROR_NOT_FOUND			= 4

Const LCD_DEVICE_INVALID	= -1
Const LCD_DEVICE_MONO		= 1
Const LCD_DEVICE_COLOR		= 2

Const LCD_BUTTON_1			= $0001
Const LCD_BUTTON_2			= $0002
Const LCD_BUTTON_3			= $0004
Const LCD_BUTTON_4			= $0008

Const LCD_BUTTON_LEFT		= $0100
Const LCD_BUTTON_RIGHT		= $0200
Const LCD_BUTTON_OK			= $0400
Const LCD_BUTTON_CANCEL		= $0800
Const LCD_BUTTON_UP			= $1000
Const LCD_BUTTON_DOWN		= $2000
Const LCD_BUTTON_MENU		= $4000

Const LCD_PRIORITY_LOW		= 1
Const LCD_PRIORITY_NORMAL	= 2
Const LCD_PRIORITY_HIGH		= 3

Const LCD_COLOR_VISIBLE		= $FFFFFF
Const LCD_COLOR_INVISIBLE	= 0

Const LCD_FONT_DEFAULT		= 0
Const LCD_FONT_BOLD			= 1
Const LCD_FONT_ITALIC		= 2
Const LCD_FONT_UNDERLINE	= 4
