; AdvanceLcd
; Copyright  Christian Klaussner
; 
; Events.bb

Include "advlcd.bb"

; Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

Global status

; Create the applet.
Global applet = LcdCreateApplet("Example - Events", LCD_DEVICE_MONO, True, False)

; Display an empty screen while the applet is running and check for events periodically.
While True
	If LcdConfigState(applet)
		Print "The user wants to configure your applet."
	End If
	
	If LcdButtonState(applet, LCD_BUTTON_1)
		If status = False
			Print "The first button was pressed."
			status = True
		End If
		
		Else status = False
	End If
	
	If LcdButtonState(applet, LCD_BUTTON_2)
		Print "The second button was pressed. Good bye..."
		Delay 1000

		LcdDeleteApplet applet
		LcdDeInitialize
		
		End
	End If
	
	If LcdAppletActive(applet) LcdUpdate applet, False
	Delay 20
Wend
