; AdvanceLcd
; Copyright  Christian Klaussner
; 
; Fonts.bb

Include "advlcd.bb"

; Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

; Create the applet.
Global applet = LcdCreateApplet("Example - Fonts", LCD_DEVICE_COLOR, False, False)

; Load two fonts.
Global font1 = LcdLoadFont("Arial", 60, LCD_FONT_BOLD Or LCD_FONT_UNDERLINE, "")
Global font2 = LcdLoadFont("Kaileen", 60, LCD_FONT_DEFAULT, "..\Media\kaileen.ttf")

; Display text using both font objects.
While True
	LcdWaitActivation applet
	
	LcdClear applet, $DEDEDE
	LcdSetColor applet, 0
	
	LcdSetFont applet, font1
	LcdDrawText applet, "Arial", 40, 20
	
	LcdSetFont applet, font2
	LcdDrawText applet, "Kaileen", 40, 100
		
	LcdUpdate applet, False
	Delay 20
Wend