' AdvanceLcd
' Copyright  Christian Klaussner
' 
' Shapes.bmx

Strict

Framework brl.standardio
Import chris.advancelcd

' Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

' Create the applet.
Global applet:TLcdApplet = New TLcdApplet.Init("Example - Shapes", LCD_DEVICE_COLOR, False, False)

' Display shapes using rotation and anti-aliasing.
Global timer = MilliSecs(), enable

While True
	applet.WaitActivation
	
	applet.Clear $DEDEDE
	
	' Change anti-aliasing mode every second.
	If timer + 1000 < MilliSecs()
		timer = MilliSecs()
		enable = 1 - enable
	End If
	
	applet.EnableAntiAlias enable
	
	' Draw a rotated rectangle.
	applet.SetRotation 30, 80, 60
	applet.SetColor $FF0000
	applet.DrawRect 80, 60, 120, 100
	
	' Draw the outline of a circle.
	applet.SetRotation 0, 0, 0
	applet.SetColor $0000FF
	applet.SetLineWidth 9
	applet.DrawOval 200, 30, 80, 80, False
	
	' Draw a line.
	applet.SetColor $00FF00
	applet.DrawLine 20, 220, 300, 20
	
	applet.Update
	Delay 20
Wend
