﻿// AdvanceLcd
// Copyright © Christian Klaussner
// 
// Fonts.cs

using System;
using System.Drawing;
using System.Threading;
using AdvanceLcd;

class Program
{
	static void Main(string[] args)
	{
		Lcd.Initialize();

		// Create the applet.
		LcdApplet applet = new LcdApplet("Example - Fonts", LcdDevice.Color, false, false);

		// Load two fonts.
		LcdFont font1 = new LcdFont("Arial", 60, LcdFontFlags.Bold | LcdFontFlags.Underline, null);
		LcdFont font2 = new LcdFont("Kaileen", 60, LcdFontFlags.Default, "..\\Media\\kaileen.ttf");

		// Display text using both font objects.
		while(true)
		{
			applet.WaitActivation();

			applet.Clear(Color.FromArgb(0xDEDEDE));
			applet.Color = Color.Black;

			applet.Font = font1;
			applet.DrawText("Arial", 40, 20);

			applet.Font = font2;
			applet.DrawText("Kaileen", 40, 100);

			applet.Update();
			Thread.Sleep(20);
		}
	}
}
